org.jboss.classfilewriter.annotations

## Enum AnnotationsAttribute.Type

- java.lang.Object
- - java.lang.Enum<AnnotationsAttribute.Type>
  - - org.jboss.classfilewriter.annotations.AnnotationsAttribute.Type

All Implemented Interfaces:
  Serializable, Comparable<AnnotationsAttribute.Type>

Enclosing class:
  AnnotationsAttribute

    public static enum AnnotationsAttribute.Type
    extends Enum<AnnotationsAttribute.Type>

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`RUNTIME_INVISIBLE`
`RUNTIME_VISIBLE`

### Method Summary

Methods
`String` `getTag()`
`static AnnotationsAttribute.Type` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static AnnotationsAttribute.Type[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### RUNTIME_VISIBLE

    public static final AnnotationsAttribute.Type RUNTIME_VISIBLE

#### RUNTIME_INVISIBLE

    public static final AnnotationsAttribute.Type RUNTIME_INVISIBLE

### Method Detail

#### values

    public static AnnotationsAttribute.Type[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (AnnotationsAttribute.Type c : AnnotationsAttribute.Type.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static AnnotationsAttribute.Type valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

#### getTag

    public String getTag()